function init(hero) {
    hero.setName("Gambit");
    hero.setTier(4);
    hero.setVersion("\u00A7c\u00A7lX\u00A76\u00A7l-\u00A7e\u00A7lMEN\u00A7f")
    
    hero.setHelmet("Helmet");
	hero.setChestplate("Chestplate");
	hero.setLeggings("Leggings");
    hero.setBoots("Boots");

    hero.addPowers("mvh:xm_gambit");

    hero.addKeyBind("BLADE", "Equip Staff", 1);
    hero.addKeyBind("GROUND_SMASH", "Ground Smash", 2)
    hero.addKeyBind("HEAT_VISION", "key.chargeEnergy", 3);
    hero.addKeyBind("CHARGED_BEAM", "Throw Card", 4);

    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.addAttributeProfile("STAFF", weaponProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function weaponProfile(profile) {
    profile.addAttribute("PUNCH_DAMAGE", 6, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "STAFF" : null;
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "GROUND_SMASH":
        return entity.getData("fiskheroes:heat_vision") > 0;
    case "HEAT_VISION":
        return entity.getData("fiskheroes:blade");
    default:
        return true;
    }
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:heat_vision":
        return entity.getData("fiskheroes:blade");
    default:
        return true;
    }
}